Bug 1126673 - Packagekit cannot install anything
Summary: Packagekit cannot install anything
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 04:02 UTC by bztdlinux
Modified: 2015-05-29 18:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 18:07:43 UTC


Attachments (Terms of Use)

Description bztdlinux 2014-08-05 04:02:23 UTC
Description of problem:
Any method of installing packages fails with PackageKit. With pkcon, gnome software utility, pkcon, missing shell command, font installation, etc. Error message is always "Fatal Error: Failed to find (packagename)".

Strangely, this happens even when installing a bare RPM using the graphical tool, though the installation seems to complete successfully.

Version-Release number of selected component (if applicable):
PackageKit.x86_64                         0.8.17-1.fc20        @updates         
PackageKit-Qt.x86_64                      0.8.9-1.fc20         @updates         
PackageKit-command-not-found.x86_64       0.8.17-1.fc20        @updates         
PackageKit-glib.x86_64                    0.8.17-1.fc20        @updates         
PackageKit-gstreamer-plugin.x86_64        0.8.17-1.fc20        @updates         
PackageKit-gtk3-module.x86_64             0.8.17-1.fc20        @updates         
PackageKit-hawkey.x86_64                  0.8.17-1.fc20        @updates         
PackageKit-yum-plugin.x86_64              0.8.17-1.fc20        @updates   

How reproducible:
Every time.

Steps to Reproduce:
[thomas@homura ~]$ pkcon install geany
Resolving                     [=========================]         
Loading cache                 [=========================]         
Finished                      [=========================]         
Fatal error: Failed to find geany;1.24.1-1.fc20;x86_64;updates

Comment 1 bztdlinux 2014-08-06 07:54:29 UTC
The problem seems to be caused by PackageKit-yum not being installed. I would have expected this to be a dependency of PackageKit-hawkey?

Comment 2 Rex Dieter 2014-08-06 12:17:30 UTC
hawkey uses dnf (essentially), and -yum is the default.  By installing -yum, you've switched to using yum.

So, it would appear that simply the hawkey backend wasn't working for you.

Comment 3 Fedora End Of Life 2015-05-29 12:33:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Kalev Lember 2015-05-29 18:07:43 UTC
This is fixed in F21+ where we only ship one PackageKit backend.


Note You need to log in before you can comment on or make changes to this bug.